Create Connection Credentials
curl --request POST \
--url https://use.hoop.dev/api/connections/{nameOrID}/credentials \
--header 'Content-Type: application/json' \
--data '
{
"access_duration_seconds": 123
}
'import requests
url = "https://use.hoop.dev/api/connections/{nameOrID}/credentials"
payload = { "access_duration_seconds": 123 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({access_duration_seconds: 123})
};
fetch('https://use.hoop.dev/api/connections/{nameOrID}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection_credentials": "<unknown>",
"connection_name": "pgdemo",
"connection_type": "postgres",
"created_at": "2025-08-25T12:00:00Z",
"expire_at": "2025-08-25T13:00:00Z",
"id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Connections
Create Connection Credentials
Create Connection Credentials
POST
/
connections
/
{nameOrID}
/
credentials
Create Connection Credentials
Path Parameters
Name or UUID of the connection
Body
application/json
The request body resource
Response
Created
The connection information
The name of the connection
Example:
"pgdemo"
Connection type
Example:
"postgres"
When the resource was created
Example:
"2025-08-25T12:00:00Z"
When the database access connection expires
Example:
"2025-08-25T13:00:00Z"
The unique identifier of the connection database access
Example:
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"
Was this page helpful?
⌘I